LibreOffice: SimpleSetAccess Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
SimpleSetAccess Service Referencepublished

provides access to a dynamic, homogeneous, nonhierarchical set of values or objects. More...

`import"SimpleSetAccess.idl";`

Inheritance diagram for SimpleSetAccess:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| is the basic service for accessing child and descendent nodes. More...
interface | com::sun::star::configuration::XTemplateContainer
| provides additional information about the element type. More...
interface | com::sun::star::util::XStringEscape
| allows normalizing and denormalizing external names. More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XTemplateContainer
string | getElementTemplateName ()
| retrieves the name of the template More...
Protected Member Functions inherited from XStringEscape
string | escapeString ([in] string aString) raises ( com::sun::star::lang::IllegalArgumentException)
| encodes an arbitrary string into an escaped form compatible with some naming rules. More...
string | unescapeString ([in] string aEscapedString) raises ( com::sun::star::lang::IllegalArgumentException)
| decodes an escaped string into the original form. More...
Protected Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...

## Detailed Description

provides access to a dynamic, homogeneous, nonhierarchical set of values or objects.

Also provides information about the template for elements. Allows normalizing externally generated names.

Sets are dynamic containers.

The number and names of contained elements is not fixed in advance, but all elements have to be of one predetermined type.

## Exported Interfaces

## ◆ com::sun::star::configuration::XTemplateContainer

interface com::sun::star::configuration::XTemplateContainer
| optional

provides additional information about the element type.

[optional]

All set elements, if they are not just simple values, but whole trees, must have a predetermined structure (their type) that is described by and can be generated from a template. The semantics of the information provided about the template depends on the implementation.

This interface may be missing, if the implementation can support only one predefined type or if the elements are of a simple type and no further information is available. In the latter case, com::sun::star::container::XElementAccess::getElementType() provides all the information there is about the element's type.

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer
| optional

allows attaching listeners to this node to monitor changes to the set.

[optional]

This interface may be missing if the implementation does not support notifications.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

is the basic service for accessing child and descendent nodes.

External names from foreign namespaces should be normalized using com::sun::star::util::XStringEscape::escapeString(), if available, before using them as element names.

## ◆ com::sun::star::util::XStringEscape

interface com::sun::star::util::XStringEscape
| optional

allows normalizing and denormalizing external names.

[optional]

Elements of a set often correspond to external entities, for example, files, web pages, and people whose names obey different rules and restrictions than names that are valid in the hierarchical naming scheme.

This interface may be missing if there are no naming restrictions, if the implementation handles any such conversions internally, or if clients must enforce such restrictions themselves. In the last case, the naming scheme documentation must fully document any restrictions.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/SimpleSetAccess.idl